﻿import os
import sys
from clnch import *
from cterm.cterm_const import *


# 設定処理
def configure(window):

    # --------------------------------------------------------------------
    # F1 キーでヘルプファイルを起動する
    def command_Help():
        print u"Helpを起動 :"
        help_path = os.path.join( os.path.split(sys.argv[0])[0], 'doc\\index.html' )
        shellExecute( None, None, help_path, u"", u"" )
        print u"Done.\n"

    window.cmd_keymap[ VK_F1 ] = command_Help

    # --------------------------------------------------------------------
    # Ctrl-E で、入力中のファイルパスを編集する
    window.cmd_keymap[ KeyEvent( VK_E, MODKEY_CTRL ) ] = window.command_Edit

    # --------------------------------------------------------------------
    # テキストエディタを設定する
    window.editor = u"notepad.exe"

    # --------------------------------------------------------------------
    # ファイルタイプごとの動作設定
    window.association_list += [
        ( "*.mpg *.mpeg *.avi *.wmv", window.command_ShellExecute( None, u"wmplayer.exe", "/prefetch:7 /Play %param%", u"" ) ),
    ]

    # --------------------------------------------------------------------
    # 非アクティブ時の時計の形式
    if 1:
        # 年と秒を省略した短い形式
        window.clock_format = u"%m/%d(%a) %H:%M"
    else:
        # 年月日(曜日) 時分秒 の全てを表示する
        window.clock_format = u"%Y/%m/%d(%a) %H:%M:%S"

    # --------------------------------------------------------------------
    # "NetDrive" コマンド
    #   ネットワークドライブを割り当てるか解除を行います。
    #    NetDrive;L;\\server\share : \\machine\public を Lドライブに割り当てます
    #    NetDrive;L                : Lドライブの割り当てを解除します

    def command_NetDrive(args):
        
        if len(args)>=1:
            drive_letter = args[0]
            if len(args)>=2:
                path = args[1]
                checkNetConnection(path)
                if window.subProcessCall( [ "net", "use", drive_letter+":", os.path.normpath(path) ], cwd=None, env=None, enable_cancel=False )==0:
                    print u"%s に %sドライブを割り当てました。" % ( path, drive_letter )
            else:
                if window.subProcessCall( [ "net", "use", drive_letter+":", "/D" ], cwd=None, env=None, enable_cancel=False )==0:
                    print u"%sドライブの割り当てを解除しました。" % ( drive_letter )
        else:
            print u"ドライブの割り当て : NetDrive;<ドライブ名>;<パス>"
            print u"ドライブの解除     : NetDrive;<ドライブ名>"

    # --------------------------------------------------------------------
    # コマンドを登録する
    window.launcher.command_list += [
        ( u"NetDrive",  command_NetDrive ),
        ( u"Cfiler",    window.command_ShellExecute( None, u"C:/ols/cfiler/cfiler.exe", u"", u"" ) ),
        ( u"Peggy",     window.command_ShellExecute( None, u"C:/ols/anchor/peggy/peggypro.exe", u"", u"" ) ),
        ( u"Becky",     window.command_ShellExecute( None, u"C:/ols/becky/B2.exe", u"", u"" ) ),
        ( u"FireFox",   window.command_ShellExecute( None, u"C:/Program Files/Mozilla Firefox/firefox.exe", u"", u"C:/Program Files/Mozilla Firefox" ) ),
        ( u"Google",    window.command_URL( u"http://www.google.com/search?ie=utf8&q=%param%", encoding=u"utf8" ) ),
        ( u"Eijiro",    window.command_URL( u"http://eow.alc.co.jp/%param%/UTF-8/", encoding=u"utf8" ) ),
    ]
